Create Ad groups
/unified/ads/ad_groups
Query Parameters
Refer Specifying query parameters in Truto APIs
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barRequest Body
Refer Writing data using Unified APIs
The unique identifier for the account.
The attribution spec for the ad_group.
The bid for the ad_group.
The bid adjustments for the ad_group.
The bid amount for the ad_group.
The bid constraints for the ad_group.
The bid values for different objectives of the ad_group.
The bid strategy for the ad_group.
2 properties
The unique identifier for the bid strategy.
The name of the bid strategy.
The billing event for the ad_group.
app_installsclicksimpressionslink_clicksnoneoffer_claimspage_likespost_engagementvideo_views
The budget for the ad_group.
The daily max budget for the ad_group.
The daily min budget for the ad_group.
The max budget for the ad_group.
The unique identifier for the campaign.
The destination type for the ad_group.
The unique identifier for the destination type.
The name of the destination type.
undefinedappmessengerwebsiteinstagram_directon_adon_poston_videoon_pageon_event
The labels for the ad_group.
The unique identifier for the label.
The name of the label.
The name of the ad_group.
The optimization goal for the ad_group.
noneapp_installsad_recall_liftclicksengaged_usersevent_responsesimpressionslead_generationquality_leadlink_clicksoffsite_conversionspage_likespost_engagementquality_callreachlanding_page_viewsvisit_instagram_profilevaluethruplayderived_eventsapp_installs_and_offsite_conversionsconversations+ 10 more
The promoted object for the ad_group.
Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.
The schedule for the ad_group.
The days for the ad_group.
sundaymondaytuesdaywednesdaythursdayfridaysaturday
The end time for the ad_group.
The start time for the ad_group.
The spend for the ad_group.
Whether the cap is enabled for the ad_group.
The max cap spend for the ad_group.
The min cap spend for the ad_group.
The max spend for the ad_group.
The start time for the ad_group.
The status of the campaign.
activeinactivedraftpauseddeletedarchivedin_processwith_issuescompletedcanceledpending_deletionactivepaused+ 1 more
The stop time for the ad_group.
The targeting for the ad_group.
Response Body
The unique identifier for the ad_group.
The unique identifier for the account.
The attribution spec for the ad_group.
The bid for the ad_group.
The bid adjustments for the ad_group.
The bid amount for the ad_group.
The bid constraints for the ad_group.
The bid values for different objectives of the ad_group.
The bid strategy for the ad_group.
2 properties
The unique identifier for the bid strategy.
The name of the bid strategy.
The billing event for the ad_group.
app_installsclicksimpressionslink_clicksnoneoffer_claimspage_likespost_engagementvideo_views
The budget for the ad_group.
The daily max budget for the ad_group.
The daily min budget for the ad_group.
The max budget for the ad_group.
The unique identifier for the campaign.
The date and time the ad_group was created.
The destination type for the ad_group.
The unique identifier for the destination type.
The name of the destination type.
undefinedappmessengerwebsiteinstagram_directon_adon_poston_videoon_pageon_event
The impressions for the ad_group.
The daily min impressions for the ad_group.
The max impressions for the ad_group.
The issues for the ad_group that prevented ads from being delivered.
The code for the issue.
The error summary for the issue.
The level for the issue.
The error message for the issue.
The type for the issue.
The labels for the ad_group.
The unique identifier for the label.
The name of the label.
The name of the ad_group.
The optimization goal for the ad_group.
noneapp_installsad_recall_liftclicksengaged_usersevent_responsesimpressionslead_generationquality_leadlink_clicksoffsite_conversionspage_likespost_engagementquality_callreachlanding_page_viewsvisit_instagram_profilevaluethruplayderived_eventsapp_installs_and_offsite_conversionsconversations+ 10 more
The promoted object for the ad_group.
Raw data returned from the remote API call.
The schedule for the ad_group.
The days for the ad_group.
sundaymondaytuesdaywednesdaythursdayfridaysaturday
The end time for the ad_group.
The start time for the ad_group.
The spend for the ad_group.
Whether the cap is enabled for the ad_group.
The max cap spend for the ad_group.
The min cap spend for the ad_group.
The max spend for the ad_group.
The start time for the ad_group.
The status of the campaign.
activeinactivedraftpauseddeletedarchivedin_processwith_issuescompletedcanceledpending_deletion
The stop time for the ad_group.
The targeting for the ad_group.
The key for the targeting optimization type.
The value for the targeting optimization type.
The date and time the ad_group was last updated.
curl -X POST 'https://api.truto.one/unified/ads/ad_groups?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"account_id": "your_account_id",
"labels": [],
"schedule": {},
"attribution_spec": "your_attribution_spec",
"bid": {},
"billing_event": "app_installs",
"campaign_id": "your_campaign_id",
"budget": {},
"spend": {},
"destination": {},
"name": "your_name",
"stop_time": "your_stop_time",
"optimization_goal": "none",
"promoted_object": {},
"start_time": "your_start_time",
"status": "active",
"targeting": {},
"remote_data": {}
}'const integratedAccountId = '<integrated_account_id>';
const body = {
"account_id": "your_account_id",
"labels": [],
"schedule": {},
"attribution_spec": "your_attribution_spec",
"bid": {},
"billing_event": "app_installs",
"campaign_id": "your_campaign_id",
"budget": {},
"spend": {},
"destination": {},
"name": "your_name",
"stop_time": "your_stop_time",
"optimization_goal": "none",
"promoted_object": {},
"start_time": "your_start_time",
"status": "active",
"targeting": {},
"remote_data": {}
};
const response = await fetch(`https://api.truto.one/unified/ads/ad_groups?integrated_account_id=${integratedAccountId}`, {
method: 'POST',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ads/ad_groups"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
payload = {
"account_id": "your_account_id",
"labels": [],
"schedule": {},
"attribution_spec": "your_attribution_spec",
"bid": {},
"billing_event": "app_installs",
"campaign_id": "your_campaign_id",
"budget": {},
"spend": {},
"destination": {},
"name": "your_name",
"stop_time": "your_stop_time",
"optimization_goal": "none",
"promoted_object": {},
"start_time": "your_start_time",
"status": "active",
"targeting": {},
"remote_data": {}
}
response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.create(
'ads',
'adgroups',
{
"account_id": "your_account_id",
"labels": [],
"schedule": {},
"attribution_spec": "your_attribution_spec",
"bid": {},
"billing_event": "app_installs",
"campaign_id": "your_campaign_id",
"budget": {},
"spend": {},
"destination": {},
"name": "your_name",
"stop_time": "your_stop_time",
"optimization_goal": "none",
"promoted_object": {},
"start_time": "your_start_time",
"status": "active",
"targeting": {},
"remote_data": {}
},
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.create(
"ads",
"adgroups",
{
"account_id": "your_account_id",
"labels": [],
"schedule": {},
"attribution_spec": "your_attribution_spec",
"bid": {},
"billing_event": "app_installs",
"campaign_id": "your_campaign_id",
"budget": {},
"spend": {},
"destination": {},
"name": "your_name",
"stop_time": "your_stop_time",
"optimization_goal": "none",
"promoted_object": {},
"start_time": "your_start_time",
"status": "active",
"targeting": {},
"remote_data": {}
},
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())